%{?nodejs_find_provides_and_requires}

%global packagename source-map
%global enable_tests 1

Name:		nodejs-source-map
Version:	0.5.3
Release:	5%{?dist}
Summary:	Generates and consumes source maps

License:	BSD-3-Clause
URL:		http://github.com/mozilla/source-map.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh

Source2:	https://raw.githubusercontent.com/mozilla/source-map/05211de6d4eb137ecbc0c67b2ade910b534fd2f3/LICENSE


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
#BuildRequires:	
%endif

Requires:	nodejs

%description
Generates and consumes source maps


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package

# copy the license file
cp -p %{SOURCE2} .


%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/run-tests.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Oct 24 2015 Jared Smith <jsmith@fedoraproject.org> 0.5.3-5
- Initial packaging
